RSS   Vulnerabilities for 'Apache distribution'   RSS

2007-04-17
 
CVE-2007-2080

 

 
Multiple SQL injection vulnerabilities in XAMPP 1.6.0a for Windows allow remote attackers to execute arbitrary SQL commands via unspecified vectors in certain test scripts.

 
 
CVE-2007-2079

 

 
The ADONewConnection Connect function in adodb.php in XAMPP 1.6.0a and earlier for Windows uses untrusted input for the database server hostname, which allows remote attackers to trigger a library buffer overflow and execute arbitrary code via a long host parameter, or have other unspecified impact. NOTE: it could be argued that this is an issue in mssql_connect (CVE-2007-1411.1) in PHP, or an issue in the ADOdb Library, and the proper fix should be in one of these products; if so, then this should not be treated as a vulnerability in XAMPP.

 
2005-06-17
 
CVE-2005-2043

 

 
Directory traversal vulnerability in XAMPP before 1.4.14 allows remote attackers to inject arbitrary HTML and PHP code via lang.php.

 
2005-04-12
 
CVE-2005-1078

 

 
XAMPP 1.4.x has multiple default or null passwords, which allows attackers to gain privileges.

 
 
CVE-2005-1077

 

 
Multiple cross-site scripting (XSS) vulnerabilities in XAMPP 1.4.x allow remote attackers to inject arbitrary web script or HTML via (1) cds.php, (2) Guestbook-EN.pl, or (3) phonebook.php.

 


Copyright 2017, cxsecurity.com